GDCM 3.2.1

Public Member Functions | List of all members
gdcm::Exception Class Reference

Exception. More...

`#include <gdcmException.h>`

Inheritance diagram for gdcm::Exception:
[legend]
Collaboration diagram for gdcm::Exception:
[legend]

## Public Member Functions
| Exception (const char *desc="None", const char *file=__FILE__, unsigned int lineNumber=__LINE__, const char *func="")
| ~Exception () override throw ()
const char * | GetDescription () const
| Return the Description.
const char * | what () const override throw ()
| what implementation

## Detailed Description

Exception.

Standard exception handling object.

Note
  Its copy-constructor and assignment operator are generated by the compiler.

Examples
  ExtractImageRegion.cs, ExtractImageRegionWithLUT.cs, ExtractOneFrame.cs, FileChangeTS.cs, and FileChangeTSLossy.cs.

## Constructor & Destructor Documentation

## ◆ Exception()

gdcm::Exception::Exception | ( | const char * | desc = "None",
|  | const char * | file = __FILE__,
|  | unsigned int | lineNumber = __LINE__,
|  | const char * | func = "" )
| inline explicit

Explicit constructor, initializing the description and the text returned by what().

Note
  The last parameter is ignored for the time being. It may be used to specify the function where the exception was thrown.

Referenced by gdcm::ParseException::ParseException().

## ◆ ~Exception()

gdcm::Exception::~Exception | ( |  | ) |
throw | ( | ) |  |  |
| inline override

## Member Function Documentation

## ◆ GetDescription()

const char * gdcm::Exception::GetDescription | ( |  | ) | const
| inline

Return the Description.

Referenced by gdcm::SequenceOfItems::Read().

## ◆ what()

const char * gdcm::Exception::what | ( |  | ) | const
throw | ( | ) |  |  |
| inline override

what implementation

Referenced by gdcm::SequenceOfFragments::ReadValue().

The documentation for this class was generated from the following file:

- gdcmException.h